      subroutine hec_dwpc_epio
c
c read beam chamber raw data block from epio
c
      implicit none
c
      include'hec_dwpc.inc'     !beam chamber
      include'hec_epio.inc'     !epio
c
c local variable declarations
c
      integer i
c
      n_dwpc = ibankbuf(1) - 1
c
      if (n_dwpc .gt. dwpc_dim) then
        print *, ' *** dwpc_words array too small in hec_dwpc_epio',
     +  n_dwpc, dwpc_dim
        stop
      elseif (n_dwpc .gt. 0) then
        do i = 1, n_dwpc
          dwpc_words(i) = ibankbuf(i + 2)
        enddo
      endif
c
c debug
c
ccc      call hec_dump_dwpc
c
      end
